Update your scripts to use Az PowerShell modules by 29 February 2024

發佈日期: 二月 23, 2021

Because Az PowerShell modules now have all the capabilities of AzureRM PowerShell modules and more, we'll retire AzureRM PowerShell modules on 29 February 2024. We encourage you to start using Az PowerShell modules sooner to take advantage of these improvements:

  • Greater security with token cache encryption and improved authentication.
  • Availability in Azure Cloud Shell and on Linux and macOS.
  • Support for all Azure services.

Required action

To avoid service interruptions, update your scripts that use AzureRM PowerShell modules to use Az PowerShell modules by 29 February 2024. To automatically update your scripts, follow the quickstart guide.

More information

If you have questions, get answers from Microsoft and community experts on GitHub. If you have a support plan and need technical help, please create a support request.

  • Retirements